import { ScalarsMap } from 'graphql-codegen-flow';
import { PluginFunction } from 'graphql-codegen-core';
export interface FlowResolversPluginConfig {
    contextType?: string;
    mapping?: {
        [typeName: string]: string;
    };
    scalars?: ScalarsMap;
    namingConvention?: string;
    typesPrefix?: string;
    useFlowExactObjects?: boolean;
    useFlowReadOnlyTypes?: boolean;
}
export declare const plugin: PluginFunction<FlowResolversPluginConfig>;
